#2060 closed defect (fixed)

RBTree: updating min and max on extract path

Reported by: Gedare Bloom Owned by: Gedare Bloom
Priority: normal Milestone: 4.11
Component: score Version: 4.11
Severity: normal Keywords:
Cc: Blocked By:
Blocking:

Description

During node extraction from a red-black tree the min and max values are updated incorrectly. We need to use the successor/predecessor functions to find the next/previous node when we remove the min/max from the tree.

Attachments (1)

0001-PR2060-RBTree-updating-min-and-max-on-extract-path.patch (2.1 KB) - added by Gedare Bloom on May 2, 2012 at 6:17:31 PM.
Bugfix

Download all attachments as: .zip

Change History (4)

comment:1 Changed on May 2, 2012 at 6:17:31 PM by Gedare Bloom

Owner: changed from Joel Sherrill to Gedare Bloom
Status: newassigned

comment:2 Changed on May 8, 2012 at 9:43:17 PM by Gedare Bloom

Resolution: fixed
Status: assignedclosed

Applied fix.

comment:3 Changed on Nov 24, 2014 at 6:58:28 PM by Gedare Bloom

Version: HEAD4.11

Replace Version=HEAD with Version=4.11 for the tickets with Milestone >= 4.11

Note: See TracTickets for help on using tickets.